# Get swh and wind data from file.csv, excluding lines with lat/lon values = -9999 
# and replacing "," by "." when the number has decimal

import csv
import numpy as np
import os,sys

station='fortaleza'
ipath='/stornext/grupos/oceano/rosio.camayo/ondas/d-boias_goosbrasil/'
opath='/scratchin/grupos/oceano/home/rosio.camayo/validation/buoys/control_quality_buoy_goosbrasil/d-output/d-test/'
period='201701_201705'

ifile=open(ipath+station+'_'+period+'.csv','rb')
reader=csv.reader(ifile, delimiter=',', quotechar='"',quoting=csv.QUOTE_MINIMAL)

command = ('rm -f '+ipath+station+'_'+period+'_wave_wind.dat' )
os.system(command) 
#os.system('rm -f /stornext/grupos/oceano/rosio.camayo/ondas/d-boias_goosbrasil/'+ station + '_' + period +'_swh_wind.dat')

ofile=open(opath+station+'_'+period+'_wave_wind.dat', 'wb')
#writer=csv.writer(ofile, delimiter=' ',quoting=csv.QUOTE_NONE)


for line in reader:

  if not line[1] == "-9999" or not line[2] == "-9999":  
    
     ofile.write("%s %s %s %s %s %s %s %s %s %s %s %s\n" % (line[1],line[2],line[3],line[4],line[5],line[6],line[7],line[10],line[13],line[53],line[59],line[62]))

ifile.close()
ofile.close()

os.system('sed -i \'s/,/./g\' '+opath+station+'_'+period+'_wave_wind.dat')
