;*************************************************
; xy_2.ncl
;*************************************************
load          "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"
load          "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"
;*************************************************
begin
  data  = asciiread("/scratchin/grupos/oceanwave/home/rosio.camayo/validation/buoys/control_quality_buoy_goosbrasil/d-output/fortaleza_201701_201705_hs_B_spikes",(/1543,8/),"float")
  time = data(:,0)
  x= new((/2,dimsizes(time)/),float)
  x(0,:) = data(:,6)
  x(1,:) = data(:,7)
;  x@_FillValue = -999           ; sets _FillValue to -999
;**************************************************
; create plot
;**************************************************
  wks = gsn_open_wks("png","spikes")        ; Open an ps workstation.

  res                 = True                       ; plot mods desired

;  res@tiMainString    = "Buoy UFPE"   ; add titles
;  res@tiMainString    = "Buoy RS WMO 31053"   ; add titles
  res@tiXAxisString   = "Observation number"  
  res@tiYAxisString   = "Altura da onda (m)"
  res@xyMarkLineMode = "MarkLines"    ; Markers *and* lines
  res@xyMarkers      = (/16,16/)    ; markers
  res@xyMarkerColors = (/"blue","red"/)  ; markers colors
  res@xyLineColors   = (/"blue","red"/)
  res@xyMarkerSizeF  = 0.006 
;  res@trYMaxF        = 10.
  plot = gsn_csm_xy(wks,time,x,res)               ; Draw an XY plot with 1 curve.


end

