
import numpy as np
#import matplotlib
#matplotlib.use('Agg')
import matplotlib.pyplot as plt

station='fortaleza'
path='/scratchin/grupos/oceanwave/home/rosio.camayo/validation/buoys/control_quality_buoy_goosbrasil/d-output/'
period='201701_201705'

ifile=np.loadtxt(path+station+'_'+period+'_hs_B_spikes')
swhorig=ifile[:,8]
swhqual=ifile[:,9]


swhqual[swhqual == -999] = np.nan

nl=len(swhorig)+1.
t = np.arange(1.,nl,1.)
plt.plot(t,swhorig,'-bo',label='original data')
plt.plot(t,swhqual,'-ro',label='corrected data')
plt.legend( loc='best', numpoints = 1,handlelength=0 )
plt.title("Buoy FORTALEZA")
plt.ylabel('SWH (m)')
plt.grid(True)
plt.savefig('spikes_'+station+'.png')
plt.show()



