
import numpy as np
#import matplotlib
#matplotlib.use('Agg')
import matplotlib.pyplot as plt

station='riogrande'
path='/scratchin/grupos/oceano/home/rosio.camayo/validation/buoys/control_quality_buoy_goosbrasil/d-output/'
period='201701_201705'

ifile=np.loadtxt(path+station+'_'+period+'_wave_wind.dat')
swh=ifile[:,9]
wind=ifile[:,7]
pk=ifile[:,10]

#print(swh[83])

swh[swh == -9999] = np.nan
wind[wind == -9999] = np.nan
pk[pk == -9999] = np.nan
#nozeros=np.count_nonzero(~np.isnan(swh))
#print(nozeros)

nl=len(swh)+1.
t = np.arange(1.,nl,1.)
plt.plot(t,swh,'-bo',t,wind,'ro',t,pk,'go')
#plt.plot(t,swh,'-bo')
plt.grid(True)
plt.show()



